## NAME

m.rot90 - Rotates elevation data extracted by either m.dted.extract or m.dmaUSGSread
(GRASS Data Import/Processing Program)

## SYNOPSIS

m.rot90
m.rot90 help
m.rot90 [-q] input=name output=name rows=value cols=value bpc=value

## DESCRIPTION

m.rot90 is used as a companion program to the DTED and DEM digital elevation data tape extraction programs m.dted.extract and m.dmaUSGSread. m.rot90 rotates the contents of the output files generated by these tape extraction programs 90 degrees. Rotation is necessary to compensate for the orientation of the data read from tape. This program can be used in conjunction with the program r.in.ll to convert this rotated data into GRASS raster map layer form.

m.rot90 requires five inputs to be entered by the user. These parameters and the optional flag setting are described below.

### Flags:

-q
  Run quietly, suppressing output of messages on program progress to standard output.

### Parameters:

input=name
  The full pathname of an already-existing file containing the data to be rotated. This input file is usually the output file created by m.dted.extract or m.dmaUSGSread.
output=name
  Name to be assigned to the resultant, rotated output file. The full pathname of the output file in which the rotated data are to be stored.
rows=value
  The number of rows of data in the input file.
cols=value
  The number of columns of data in the input file.
bpc=value
  The number of bytes per cell in the input file.

## EXAMPLE

The following command:

  m.rot90 input=/tmp/dma.out output=/tmp/rot.out rows=301 cols=358 bpc=2

will rotate the file `/tmp/dma.out`, and place the rotated file in `/tmp/rot.out`. Here, the input file is 301 rows by 358 columns, at 2 bytes per data value.

## NOTES

The user should note that since the output file is rotated 90 degrees from the original input file, the rows and columns have been interchanged. Hence, in the above example, the number of rows (301) and columns (358) stated by the user on the command line were those present in the input file. The output file, however, will have 358 rows and 301 columns.

## SEE ALSO

Pursuance of Elevation Data, by Stuart Bradshaw, USACERL
DTED and DEM Elevation Data Extraction, by Stuart Bradshaw , Mary Martin, and Chester Kos, USACERL

g.region
m.dmaUSGSread
m.dted.examine
m.dted.extract
m.examine.tape
m.flip
m.region.ll
r.describe
r.in.ll
r.rescale
r.slope.aspect

## AUTHOR

Michael Shapiro, U.S.Army Construction Engineering Research Laboratory

Last changed: $Date: 2002/01/25 05:45:33 $